Package org.gitana.platform.client.job

# Class JobLogEntry

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.job.JobLogEntry

All Implemented Interfaces:
  `Serializable`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class JobLogEntry extends org.gitana.platform.support.GitanaObjectImpl

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_MESSAGE`
`static final String`
`FIELD_STACKTRACE`
`static final String`
`FIELD_TIMESTAMP`
`static final String`
`FIELD_TYPE`

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

## Constructor Summary

Constructors
Constructor
Description
`JobLogEntry()`
`JobLogEntry(com.fasterxml.jackson.databind.node.ObjectNode object)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessage()`
`List<String>`
`getStackTrace()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getTimestamp()`
`JobLogEntryType`
`getType()`
`void`
`setMessage(String message)`
`void`
`setStackTrace(StackTraceElement[] elements)`
`void`
`setStackTrace(List<String> stacktrace)`
`void`
`setTimestamp(com.fasterxml.jackson.databind.node.ObjectNode timestamp)`
`void`
`setType(JobLogEntryType type)`
`String`
`toString()`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### FIELD_TYPE

public static final String FIELD_TYPE

See Also:
  - Constant Field Values

### FIELD_MESSAGE

public static final String FIELD_MESSAGE

See Also:
  - Constant Field Values

### FIELD_TIMESTAMP

public static final String FIELD_TIMESTAMP

See Also:
  - Constant Field Values

### FIELD_STACKTRACE

public static final String FIELD_STACKTRACE

See Also:
  - Constant Field Values

## Constructor Details

### JobLogEntry

public JobLogEntry()

### JobLogEntry

public JobLogEntry(com.fasterxml.jackson.databind.node.ObjectNode object)

## Method Details

### getType

public JobLogEntryType getType()

### setType

public void setType(JobLogEntryType type)

### getMessage

public String getMessage()

### setMessage

public void setMessage(String message)

### getTimestamp

public com.fasterxml.jackson.databind.node.ObjectNode getTimestamp()

### setTimestamp

public void setTimestamp(com.fasterxml.jackson.databind.node.ObjectNode timestamp)

### getStackTrace

public List<String> getStackTrace()

### setStackTrace

public void setStackTrace(List<String> stacktrace)

### setStackTrace

public void setStackTrace(StackTraceElement[] elements)

### toString

public String toString()

Overrides:
  `toString` in class `org.gitana.platform.support.GitanaObjectImpl`